org.apache.hc.client5.http.impl.cookie

## Class BasicExpiresHandler

- java.lang.Object
- - org.apache.hc.client5.http.impl.cookie.AbstractCookieAttributeHandler
  - - org.apache.hc.client5.http.impl.cookie.BasicExpiresHandler

- All Implemented Interfaces:
    CommonCookieAttributeHandler, CookieAttributeHandler

      @Contract(threading=STATELESS)
      public class BasicExpiresHandler
      extends AbstractCookieAttributeHandler
      implements CommonCookieAttributeHandler

  Cookie `expires` attribute handler.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicExpiresHandler(DateTimeFormatter... datePatterns)`
    `BasicExpiresHandler(String[] datePatterns)` Deprecated. Use `BasicExpiresHandler(DateTimeFormatter...)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttributeName()`
    `void` | `parse(SetCookie cookie, String value)` Parse the given cookie attribute value and processChallenge the corresponding `Cookie` property.

    - ### Methods inherited from class org.apache.hc.client5.http.impl.cookie.AbstractCookieAttributeHandler

      `match, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hc.client5.http.cookie.CookieAttributeHandler

      `match, validate`

- - ### Constructor Detail

    - #### BasicExpiresHandler

          public BasicExpiresHandler(DateTimeFormatter... datePatterns)

      Since:
        5.2

    - #### BasicExpiresHandler

          @Deprecated
          public BasicExpiresHandler(String[] datePatterns)

      Deprecated. Use `BasicExpiresHandler(DateTimeFormatter...)`

  - ### Method Detail

    - #### parse

          public void parse(SetCookie cookie,
                            String value)
                     throws MalformedCookieException

      Description copied from interface: `CookieAttributeHandler`
      Parse the given cookie attribute value and processChallenge the corresponding `Cookie` property.
      Specified by:
        `parse` in interface `CookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to be updated
        `value` - cookie attribute value from the cookie response header
      Throws:
        `MalformedCookieException` - if cookie parsing fails for this attribute

    - #### getAttributeName

          public String getAttributeName()

      Specified by:
        `getAttributeName` in interface `CommonCookieAttributeHandler`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.